diff -Naur drupal-7.51/modules/taxonomy/taxonomy.test drupal-7.66/modules/taxonomy/taxonomy.test
--- drupal-7.51/modules/taxonomy/taxonomy.test	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/taxonomy/taxonomy.test	2019-04-17 22:20:46.000000000 +0200
@@ -1983,3 +1983,113 @@
   }
 
 }
+
+/**
+ * Tests that appropriate query tags are added.
+ */
+class TaxonomyQueryAlterTestCase extends TaxonomyWebTestCase {
+  public static function getInfo() {
+    return array(
+      'name' => 'Taxonomy query tags',
+      'description' => 'Verifies that taxonomy_term_access tags are added to queries.',
+      'group' => 'Taxonomy',
+    );
+  }
+
+  public function setUp() {
+    parent::setUp('taxonomy_test');
+  }
+
+  /**
+   * Tests that appropriate tags are added when querying the database.
+   */
+  public function testTaxonomyQueryAlter() {
+    // Create a new vocabulary and add a few terms to it.
+    $vocabulary = $this->createVocabulary();
+    $terms = array();
+    for ($i = 0; $i < 5; $i++) {
+      $terms[$i] = $this->createTerm($vocabulary);
+    }
+
+    // Set up hierarchy. Term 2 is a child of 1.
+    $terms[2]->parent = array($terms[1]->tid);
+    taxonomy_term_save($terms[2]);
+
+    $this->setupQueryTagTestHooks();
+    $loaded_term = taxonomy_term_load($terms[0]->tid);
+    $this->assertEqual($loaded_term->tid, $terms[0]->tid, 'First term was loaded');
+    $this->assertQueryTagTestResult(1, 'taxonomy_term_load()');
+
+    $this->setupQueryTagTestHooks();
+    $loaded_terms = taxonomy_get_tree($vocabulary->vid);
+    $this->assertEqual(count($loaded_terms), count($terms), 'All terms were loaded');
+    $this->assertQueryTagTestResult(1, 'taxonomy_get_tree()');
+
+    $this->setupQueryTagTestHooks();
+    $loaded_terms = taxonomy_get_parents($terms[2]->tid);
+    $this->assertEqual(count($loaded_terms), 1, 'All parent terms were loaded');
+    $this->assertQueryTagTestResult(2, 'taxonomy_get_parents()');
+
+    $this->setupQueryTagTestHooks();
+    $loaded_terms = taxonomy_get_children($terms[1]->tid);
+    $this->assertEqual(count($loaded_terms), 1, 'All child terms were loaded');
+    $this->assertQueryTagTestResult(2, 'taxonomy_get_children()');
+
+    $this->setupQueryTagTestHooks();
+    $query = db_select('taxonomy_term_data', 't');
+    $query->addField('t', 'tid');
+    $query->addTag('taxonomy_term_access');
+    $tids = $query->execute()->fetchCol();
+    $this->assertEqual(count($tids), count($terms), 'All term IDs were retrieved');
+    $this->assertQueryTagTestResult(1, 'custom db_select() with taxonomy_term_access tag (preferred)');
+
+    $this->setupQueryTagTestHooks();
+    $query = db_select('taxonomy_term_data', 't');
+    $query->addField('t', 'tid');
+    $query->addTag('term_access');
+    $tids = $query->execute()->fetchCol();
+    $this->assertEqual(count($tids), count($terms), 'All term IDs were retrieved');
+    $this->assertQueryTagTestResult(1, 'custom db_select() with term_access tag (deprecated)');
+
+    $this->setupQueryTagTestHooks();
+    $query = new EntityFieldQuery();
+    $query->entityCondition('entity_type', 'taxonomy_term');
+    $query->addTag('taxonomy_term_access');
+    $result = $query->execute();
+    $this->assertEqual(count($result['taxonomy_term']), count($terms), 'All term IDs were retrieved');
+    $this->assertQueryTagTestResult(1, 'custom EntityFieldQuery with taxonomy_term_access tag (preferred)');
+
+    $this->setupQueryTagTestHooks();
+    $query = new EntityFieldQuery();
+    $query->entityCondition('entity_type', 'taxonomy_term');
+    $query->addTag('term_access');
+    $result = $query->execute();
+    $this->assertEqual(count($result['taxonomy_term']), count($terms), 'All term IDs were retrieved');
+    $this->assertQueryTagTestResult(1, 'custom EntityFieldQuery with term_access tag (deprecated)');
+  }
+
+  /**
+   * Sets up the hooks in the test module.
+   */
+  protected function setupQueryTagTestHooks() {
+    taxonomy_terms_static_reset();
+    variable_set('taxonomy_test_query_alter', 0);
+    variable_set('taxonomy_test_query_term_access_alter', 0);
+    variable_set('taxonomy_test_query_taxonomy_term_access_alter', 0);
+  }
+
+  /**
+   * Verifies invocation of the hooks in the test module.
+   *
+   * @param int $expected_invocations
+   *   The number of times the hooks are expected to have been invoked.
+   * @param string $method
+   *   A string describing the invoked function which generated the query.
+   */
+  protected function assertQueryTagTestResult($expected_invocations, $method) {
+    $this->assertIdentical($expected_invocations, variable_get('taxonomy_test_query_alter'), 'hook_query_alter() invoked when executing ' . $method);
+    $this->assertIdentical($expected_invocations, variable_get('taxonomy_test_query_term_access_alter'), 'Deprecated hook_query_term_access_alter() invoked when executing ' . $method);
+    $this->assertIdentical($expected_invocations, variable_get('taxonomy_test_query_taxonomy_term_access_alter'), 'Preferred hook_query_taxonomy_term_access_alter() invoked when executing ' . $method);
+  }
+
+}
diff -Naur drupal-7.51/modules/toolbar/toolbar.info drupal-7.66/modules/toolbar/toolbar.info
--- drupal-7.51/modules/toolbar/toolbar.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/toolbar/toolbar.info	2019-04-17 22:39:36.000000000 +0200
@@ -4,8 +4,7 @@
 package = Core
 version = VERSION
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/tracker/tracker.info drupal-7.66/modules/tracker/tracker.info
--- drupal-7.51/modules/tracker/tracker.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/tracker/tracker.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 core = 7.x
 files[] = tracker.test
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/translation/tests/translation_test.info drupal-7.66/modules/translation/tests/translation_test.info
--- drupal-7.51/modules/translation/tests/translation_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/translation/tests/translation_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/translation/translation.info drupal-7.66/modules/translation/translation.info
--- drupal-7.51/modules/translation/translation.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/translation/translation.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 core = 7.x
 files[] = translation.test
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/trigger/tests/trigger_test.info drupal-7.66/modules/trigger/tests/trigger_test.info
--- drupal-7.51/modules/trigger/tests/trigger_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/trigger/tests/trigger_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -4,8 +4,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/trigger/trigger.info drupal-7.66/modules/trigger/trigger.info
--- drupal-7.51/modules/trigger/trigger.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/trigger/trigger.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 files[] = trigger.test
 configure = admin/structure/trigger
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/update/tests/aaa_update_test.info drupal-7.66/modules/update/tests/aaa_update_test.info
--- drupal-7.51/modules/update/tests/aaa_update_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/update/tests/aaa_update_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -4,8 +4,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/update/tests/bbb_update_test.info drupal-7.66/modules/update/tests/bbb_update_test.info
--- drupal-7.51/modules/update/tests/bbb_update_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/update/tests/bbb_update_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -4,8 +4,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/update/tests/ccc_update_test.info drupal-7.66/modules/update/tests/ccc_update_test.info
--- drupal-7.51/modules/update/tests/ccc_update_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/update/tests/ccc_update_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -4,8 +4,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/update/tests/themes/update_test_admintheme/update_test_admintheme.info drupal-7.66/modules/update/tests/themes/update_test_admintheme/update_test_admintheme.info
--- drupal-7.51/modules/update/tests/themes/update_test_admintheme/update_test_admintheme.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/update/tests/themes/update_test_admintheme/update_test_admintheme.info	2019-04-17 22:39:36.000000000 +0200
@@ -3,8 +3,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info drupal-7.66/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
--- drupal-7.51/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info	2019-04-17 22:39:36.000000000 +0200
@@ -3,8 +3,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info drupal-7.66/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
--- drupal-7.51/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info	2019-04-17 22:39:36.000000000 +0200
@@ -4,8 +4,7 @@
 base theme = update_test_basetheme
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/update/tests/update_test.info drupal-7.66/modules/update/tests/update_test.info
--- drupal-7.51/modules/update/tests/update_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/update/tests/update_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/update/update.info drupal-7.66/modules/update/update.info
--- drupal-7.51/modules/update/update.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/update/update.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 files[] = update.test
 configure = admin/reports/updates/settings
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/user/tests/user_form_test.info drupal-7.66/modules/user/tests/user_form_test.info
--- drupal-7.51/modules/user/tests/user_form_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/user/tests/user_form_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/user/user.info drupal-7.66/modules/user/user.info
--- drupal-7.51/modules/user/user.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/modules/user/user.info	2019-04-17 22:39:36.000000000 +0200
@@ -9,8 +9,7 @@
 configure = admin/config/people
 stylesheets[all][] = user.css
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/modules/user/user.module drupal-7.66/modules/user/user.module
--- drupal-7.51/modules/user/user.module	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/user/user.module	2019-04-17 22:20:46.000000000 +0200
@@ -637,7 +637,7 @@
   if (strpos($name, '  ') !== FALSE) {
     return t('The username cannot contain multiple spaces in a row.');
   }
-  if (preg_match('/[^\x{80}-\x{F7} a-z0-9@_.\'-]/i', $name)) {
+  if (preg_match('/[^\x{80}-\x{F7} a-z0-9@+_.\'-]/i', $name)) {
     return t('The username contains an illegal character.');
   }
   if (preg_match('/[\x{80}-\x{A0}' .         // Non-printable ISO-8859-1 + NBSP
@@ -689,7 +689,7 @@
   $validators = array(
     'file_validate_is_image' => array(),
     'file_validate_image_resolution' => array(variable_get('user_picture_dimensions', '85x85')),
-    'file_validate_size' => array(variable_get('user_picture_file_size', '30') * 1024),
+    'file_validate_size' => array((int) variable_get('user_picture_file_size', '30') * 1024),
   );
 
   // Save the file as a temporary file.
@@ -1088,13 +1088,16 @@
       '#description' => t('To change the current user password, enter the new password in both fields.'),
     );
     // To skip the current password field, the user must have logged in via a
-    // one-time link and have the token in the URL.
-    $pass_reset = isset($_SESSION['pass_reset_' . $account->uid]) && isset($_GET['pass-reset-token']) && ($_GET['pass-reset-token'] == $_SESSION['pass_reset_' . $account->uid]);
+    // one-time link and have the token in the URL. Store this in $form_state
+    // so it persists even on subsequent Ajax requests.
+    if (!isset($form_state['user_pass_reset'])) {
+      $form_state['user_pass_reset'] = isset($_SESSION['pass_reset_' . $account->uid]) && isset($_GET['pass-reset-token']) && ($_GET['pass-reset-token'] == $_SESSION['pass_reset_' . $account->uid]);
+    }
     $protected_values = array();
     $current_pass_description = '';
     // The user may only change their own password without their current
     // password if they logged in via a one-time login link.
-    if (!$pass_reset) {
+    if (!$form_state['user_pass_reset']) {
       $protected_values['mail'] = $form['account']['mail']['#title'];
       $protected_values['pass'] = t('Password');
       $request_new = l(t('Request new password'), 'user/password', array('attributes' => array('title' => t('Request new password via e-mail.'))));
diff -Naur drupal-7.51/modules/user/user.test drupal-7.66/modules/user/user.test
--- drupal-7.51/modules/user/user.test	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/modules/user/user.test	2019-04-17 22:20:46.000000000 +0200
@@ -276,6 +276,7 @@
       'foo@example.com'        => array('Valid username', 'assertNull'),
       'foo@-example.com'       => array('Valid username', 'assertNull'), // invalid domains are allowed in usernames
       'þòøÇßªř€'               => array('Valid username', 'assertNull'),
+      'foo+bar'                => array('Valid username', 'assertNull'), // '+' symbol is allowed
       'ᚠᛇᚻ᛫ᛒᛦᚦ'                => array('Valid UTF8 username', 'assertNull'), // runes
       ' foo'                   => array('Invalid username that starts with a space', 'assertNotNull'),
       'foo '                   => array('Invalid username that ends with a space', 'assertNotNull'),
@@ -466,6 +467,19 @@
   }
 
   /**
+   * Retrieves password reset email and extracts the login link.
+   */
+  public function getResetURL() {
+    // Assume the most recent email.
+    $_emails = $this->drupalGetMails();
+    $email = end($_emails);
+    $urls = array();
+    preg_match('#.+user/reset/.+#', $email['body'], $urls);
+
+    return $urls[0];
+  }
+
+  /**
    * Tests password reset functionality.
    */
   function testUserPasswordReset() {
@@ -478,6 +492,49 @@
     $this->drupalPost('user/password', $edit, t('E-mail new password'));
     // Confirm the password reset.
     $this->assertText(t('Further instructions have been sent to your e-mail address.'), 'Password reset instructions mailed message displayed.');
+
+    // Create an image field to enable an Ajax request on the user profile page.
+    $field = array(
+      'field_name' => 'field_avatar',
+      'type' => 'image',
+      'settings' => array(),
+      'cardinality' => 1,
+    );
+    field_create_field($field);
+
+    $instance = array(
+      'field_name' => $field['field_name'],
+      'entity_type' => 'user',
+      'label' => 'Avatar',
+      'bundle' => 'user',
+      'required' => FALSE,
+      'settings' => array(),
+      'widget' => array(
+        'type' => 'image_image',
+        'settings' => array(),
+      ),
+    );
+    field_create_instance($instance);
+
+    $resetURL = $this->getResetURL();
+    $this->drupalGet($resetURL);
+
+    // Check successful login.
+    $this->drupalPost(NULL, NULL, t('Log in'));
+
+    // Make sure the Ajax request from uploading a file does not invalidate the
+    // reset token.
+    $image = current($this->drupalGetTestFiles('image'));
+    $edit = array(
+      'files[field_avatar_und_0]' => drupal_realpath($image->uri),
+    );
+    $this->drupalPostAJAX(NULL, $edit, 'field_avatar_und_0_upload_button');
+
+    // Change the forgotten password.
+    $password = user_password();
+    $edit = array('pass[pass1]' => $password, 'pass[pass2]' => $password);
+    $this->drupalPost(NULL, $edit, t('Save'));
+    $this->assertText(t('The changes have been saved.'), 'Forgotten password changed.');
   }
 
   /**
@@ -1529,7 +1586,13 @@
     // Setup date/time settings for Los Angeles time.
     variable_set('date_default_timezone', 'America/Los_Angeles');
     variable_set('configurable_timezones', 1);
-    variable_set('date_format_medium', 'Y-m-d H:i T');
+
+    // Override the 'medium' date format, which is the default for node
+    // creation time. Since we are testing time zones with Daylight Saving
+    // Time, and need to future proof against changes to the zoneinfo database,
+    // we choose the 'I' format placeholder instead of a human-readable zone
+    // name. With 'I', a 1 means the date is in DST, and 0 if not.
+    variable_set('date_format_medium', 'Y-m-d H:i I');
 
     // Create a user account and login.
     $web_user = $this->drupalCreateUser();
@@ -1547,11 +1610,11 @@
 
     // Confirm date format and time zone.
     $this->drupalGet("node/$node1->nid");
-    $this->assertText('2007-03-09 21:00 PST', 'Date should be PST.');
+    $this->assertText('2007-03-09 21:00 0', 'Date should be PST.');
     $this->drupalGet("node/$node2->nid");
-    $this->assertText('2007-03-11 01:00 PST', 'Date should be PST.');
+    $this->assertText('2007-03-11 01:00 0', 'Date should be PST.');
     $this->drupalGet("node/$node3->nid");
-    $this->assertText('2007-03-20 21:00 PDT', 'Date should be PDT.');
+    $this->assertText('2007-03-20 21:00 1', 'Date should be PDT.');
 
     // Change user time zone to Santiago time.
     $edit = array();
@@ -1562,11 +1625,11 @@
 
     // Confirm date format and time zone.
     $this->drupalGet("node/$node1->nid");
-    $this->assertText('2007-03-10 02:00 CLST', 'Date should be Chile summer time; five hours ahead of PST.');
+    $this->assertText('2007-03-10 02:00 1', 'Date should be Chile summer time; five hours ahead of PST.');
     $this->drupalGet("node/$node2->nid");
-    $this->assertText('2007-03-11 05:00 CLT', 'Date should be Chile time; four hours ahead of PST');
+    $this->assertText('2007-03-11 05:00 0', 'Date should be Chile time; four hours ahead of PST');
     $this->drupalGet("node/$node3->nid");
-    $this->assertText('2007-03-21 00:00 CLT', 'Date should be Chile time; three hours ahead of PDT.');
+    $this->assertText('2007-03-21 00:00 0', 'Date should be Chile time; three hours ahead of PDT.');
   }
 }
 
@@ -2324,7 +2387,13 @@
   }
 
   function testUserSearch() {
+    // Verify that a user without 'administer users' permission cannot search
+    // for users by email address. Additionally, ensure that the username has a
+    // plus sign to ensure searching works with that.
     $user1 = $this->drupalCreateUser(array('access user profiles', 'search content', 'use advanced search'));
+    $edit['name'] = 'foo+bar';
+    $edit['mail'] = $edit['name'] . '@example.com';
+    user_save($user1, $edit);
     $this->drupalLogin($user1);
     $keys = $user1->mail;
     $edit = array('keys' => $keys);
diff -Naur drupal-7.51/profiles/minimal/minimal.info drupal-7.66/profiles/minimal/minimal.info
--- drupal-7.51/profiles/minimal/minimal.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/profiles/minimal/minimal.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 dependencies[] = block
 dependencies[] = dblog
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/profiles/standard/standard.info drupal-7.66/profiles/standard/standard.info
--- drupal-7.51/profiles/standard/standard.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/profiles/standard/standard.info	2019-04-17 22:39:36.000000000 +0200
@@ -24,8 +24,7 @@
 dependencies[] = file
 dependencies[] = rdf
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info drupal-7.66/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
--- drupal-7.51/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -6,8 +6,7 @@
 hidden = TRUE
 files[] = drupal_system_listing_compatible_test.test
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info drupal-7.66/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
--- drupal-7.51/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info	2019-04-17 22:39:36.000000000 +0200
@@ -8,8 +8,7 @@
 core = 6.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/profiles/testing/testing.info drupal-7.66/profiles/testing/testing.info
--- drupal-7.51/profiles/testing/testing.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/profiles/testing/testing.info	2019-04-17 22:39:36.000000000 +0200
@@ -4,8 +4,7 @@
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/sites/default/default.settings.php drupal-7.66/sites/default/default.settings.php
--- drupal-7.51/sites/default/default.settings.php	2016-10-05 20:45:42.000000000 +0200
+++ drupal-7.66/sites/default/default.settings.php	2019-04-17 22:20:46.000000000 +0200
@@ -479,6 +479,23 @@
 # $conf['block_cache_bypass_node_grants'] = TRUE;
 
 /**
+ * Expiration of cache_form entries:
+ *
+ * Drupal's Form API stores details of forms in cache_form and these entries are
+ * kept for at least 6 hours by default. Expired entries are cleared by cron.
+ * Busy sites can encounter problems with the cache_form table becoming very
+ * large. It's possible to mitigate this by setting a shorter expiration for
+ * cached forms. In some cases it may be desirable to set a longer cache
+ * expiration, for example to prolong cache_form entries for Ajax forms in
+ * cached HTML.
+ *
+ * @see form_set_cache()
+ * @see system_cron()
+ * @see ajax_get_form()
+ */
+# $conf['form_cache_expiration'] = 21600;
+
+/**
  * String overrides:
  *
  * To override specific strings on your site with or without enabling the Locale
@@ -628,3 +645,17 @@
  * @see drupal_clean_css_identifier()
  */
 # $conf['allow_css_double_underscores'] = TRUE;
+
+/**
+ * The default list of directories that will be ignored by Drupal's file API.
+ *
+ * By default ignore node_modules and bower_components folders to avoid issues
+ * with common frontend tools and recursive scanning of directories looking for
+ * extensions.
+ *
+ * @see file_scan_directory()
+ */
+$conf['file_scan_ignore_directories'] = array(
+  'node_modules',
+  'bower_components',
+);
diff -Naur drupal-7.51/themes/bartik/bartik.info drupal-7.66/themes/bartik/bartik.info
--- drupal-7.51/themes/bartik/bartik.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/themes/bartik/bartik.info	2019-04-17 22:39:36.000000000 +0200
@@ -34,8 +34,7 @@
 settings[shortcut_module_link] = 0
 
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/themes/garland/garland.info drupal-7.66/themes/garland/garland.info
--- drupal-7.51/themes/garland/garland.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/themes/garland/garland.info	2019-04-17 22:39:36.000000000 +0200
@@ -7,8 +7,7 @@
 stylesheets[print][] = print.css
 settings[garland_width] = fluid
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/themes/seven/seven.info drupal-7.66/themes/seven/seven.info
--- drupal-7.51/themes/seven/seven.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/themes/seven/seven.info	2019-04-17 22:39:36.000000000 +0200
@@ -13,8 +13,7 @@
 regions[sidebar_first] = First sidebar
 regions_hidden[] = sidebar_first
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
diff -Naur drupal-7.51/themes/stark/stark.info drupal-7.66/themes/stark/stark.info
--- drupal-7.51/themes/stark/stark.info	2016-10-05 21:02:54.000000000 +0200
+++ drupal-7.66/themes/stark/stark.info	2019-04-17 22:39:36.000000000 +0200
@@ -5,8 +5,7 @@
 core = 7.x
 stylesheets[all][] = layout.css
 
-; Information added by Drupal.org packaging script on 2016-10-05
-version = "7.51"
+; Information added by Drupal.org packaging script on 2019-04-17
+version = "7.66"
 project = "drupal"
-datestamp = "1475694174"
-
+datestamp = "1555533576"
